#!/bin/env python

# This script will parse ctfparm.txt and plot various things using
# xmgrace as a plotting program. Of course the output file can be 
# plotted with other software as well
#
# defaults to a B-factor vs defocus plot

import os
from math import *

infile=file("ctfparm.txt","r")
lines=infile.readlines()
infile.close()

out=file("ctfplot","w")

for l in lines:
	s=[l.split()[0]]
	s+=l.split()[1].split(',')
	for i in range(1,len(s)-1):
		s[i]=float(s[i])
	out.write("%1.3f\t%1.3f\n"%(fabs(s[1]),s[2]))
out.close()

os.system("xmgrace ctfplot")
